Subject: Re: Content Team's productivity
From: Christopher Ngo <[email-masked]>
To: Deeksha Dadu <[email-masked]>
Cc: Ashish Dabral <[email-masked]>, b kiss <[email-masked]>, Saurabh Dadu <[email-masked]>
Date: Mon, 7 Dec 2020 14:52:11 +0000

Hi Deeksha,

Just a small ad-hoc task has been added* for this week only. *
It will take approximately 15 minutes, so the target for the agents will be
31 VIP builds instead.

Bogi will be in touch with the details - it is very simple, just clicking
through some UENI websites to test our tracking.

Kind regards,

On Thu, 19 Nov 2020 at 18:10, Deeksha Dadu <[email-masked]> wrote:

> Hi Chris,
>
> Thank you for the update.
>
> @ Ashish: please speak with the team regarding this.
>
> Thank you
>
> Regards,
> Deeksha
>
> Sent from my iPhone
>
> On 19 Nov 2020, at 23:31, Christopher Ngo <[email-masked]> wrote:
>
> 
> Hi Deeksha,
>
> Just an update here on the build expectations for upcoming weeks.
>
> We found the VIP Builds to do very well with customers, so the daily
> targets will change from Monday 23rd onwards (inclusive):
>
> *32 VIP Builds*
>
> 480 mins into 15 mins/build. Nice and simple. We will assign them the
> builds as usual.
>
> Kind regards,
>
> On Tue, 10 Nov 2020 at 13:33, Ashish Dabral <[email-masked]> wrote:
>
>> Hi All,
>>
>> Please accept my sincere apologies for this. I have a created a recurring
>> meeting link for Tuesdays at 11:30am UK time. Please find below the details.
>>
>>
>> Topic: UENI Meeting
>>
>> Time: Nov 17, 2020 05:30 PM India
>>         Every week on Tue, until Dec 29, 2020, 7 occurrence(s)
>>         Nov 17, 2020 05:30 PM
>>         Nov 24, 2020 05:30 PM
>>         Dec 1, 2020 05:30 PM
>>         Dec 8, 2020 05:30 PM
>>         Dec 15, 2020 05:30 PM
>>         Dec 22, 2020 05:30 PM
>>         Dec 29, 2020 05:30 PM
>>
>> Please download and import the following iCalendar (.ics) files to your
>> calendar system.
>> Weekly:
>> https://us02web.zoom.us/meeting/tZckfu-prDkpG9KLnNqYt2HmZqxnfzshoYFU/ics?icsToken=98tyKuGrpzIsG9aXsxiBRpwqHYr4M-vzpnpejfp2sBHLEhlHMCv7DPNaPLRlA9Df
>>
>> Join Zoom Meeting
>> https://us02web.zoom.us/j/83996122316
>>
>>
>>
>> Regards,
>> Ashish Dabral
>>
>> ------------------------------
>> *From: *"Deeksha" <[email-masked]>
>> *To: *"Christopher Ngo" <[email-masked]>
>> *Cc: *"b kiss" <[email-masked]>, "Ashish Dabral" <[email-masked]>,
>> "saurabh" <[email-masked]>
>> *Sent: *Tuesday, November 10, 2020 6:26:58 PM
>> *Subject: *Re: Content Team's productivity
>>
>> Hi Chris,
>>
>> I am very surprised to know this because Ashish is very diligent
>> otherwise. I just spoke with him and he admits that last week he got busy
>> on a call and this week he is on leave and he forgot to hand over the
>> responsibility to someone else in the team. Please accept my sincere
>> apologies for this. I have spoken to Ashish about this. He will create a
>> recurrent link and will send everyone a calendar invite today. We will make
>> sure that such slips do not happen again.
>>
>> Thanks for bringing this to my attention.
>>
>> @ Ashish: ad discussed, please do the needful.
>>
>> Regards,
>> Deeksha
>>
>> From: Christopher Ngo <[email-masked]>
>> Date: Tuesday, 10 November 2020 at 5:07 PM
>> To: Deeksha Dadu <[email-masked]>
>> Cc: Boglárka Kiss <[email-masked]>, Ashish Dabral <[email-masked]>,
>> Saurabh Dadu <[email-masked]>
>> Subject: Re: Content Team's productivity
>>
>> Hi all,
>>
>> This is the* second *week where Ashish didn't send us the zoom link for
>> the meeting before the actual meeting time.
>> We are supposed to have it at 11:30 but no email was received, and no
>> chat was received either.
>>
>> Is there a better time for you to take this meeting? We have our
>> calendars blocked for this meeting every week.
>>
>> Kind regards,
>>
>> On Mon, 26 Oct 2020 at 13:28, Deeksha Dadu <[email-masked]>
>> wrote:
>>
>>> Hi Chris,
>>>
>>> Thanks for the update.
>>>
>>> @ Bogi: It is nice to meet you. Look forward to working with you.
>>>
>>> Kind regards,
>>> Deeksha
>>>
>>> From: Christopher Ngo <[email-masked]>
>>> Date: Monday, 26 October 2020 at 6:44 PM
>>> To: Deeksha Dadu <[email-masked]>, Boglárka Kiss <
>>> [email-masked]>, Ingrid Vasiliu <[email-masked]>
>>> Cc: Ashish Dabral <[email-masked]>, Saurabh Dadu <
>>> [email-masked]>
>>> Subject: Re: Content Team's productivity
>>>
>>> Hi Deeksha & Ashish,
>>>
>>> Another update from our side is that Bogi (in cc) will now be the main
>>> point of contact wrt day-to-day comms, targets, assignments, and the weekly
>>> meeting.
>>> Ingrid will still be available as support of course.
>>>
>>> Kind regards,
>>>
>>> On Fri, 23 Oct 2020 at 04:07, Deeksha Dadu <[email-masked]>
>>> wrote:
>>>
>>>> Hi Chris,
>>>>
>>>> Thank you very much, it does make life much easier.
>>>>
>>>> Regards,
>>>> Deeksha
>>>>
>>>> Sent from my iPhone
>>>>
>>>> On 23 Oct 2020, at 02:28, Christopher Ngo <[email-masked]> wrote:
>>>>
>>>> Hi Deeksha,
>>>>
>>>> Just an update here which should make both of our lives easier.
>>>>
>>>> We will be ramping up signups in the EN market again, so the agents
>>>> will only be working on builds and not these ad-hoc tasks.
>>>>
>>>> 20 Regular Builds
>>>> 20 VIP Builds
>>>>
>>>> Nice and simple. We will assign them the builds.
>>>>
>>>> Kind regards,
>>>>
>>>>
>>>>
>>>> On Tue, 20 Oct 2020 at 22:18, Christopher Ngo <[email-masked]>
>>>> wrote:
>>>>
>>>>> Hey Deeksha,
>>>>>
>>>>> The full numbers are in that google sheet. Frankly, the signup numbers
>>>>> are changing everyday, so the agents are claiming the work and completing
>>>>> different numbers each day.
>>>>> However, once they're done with this, as per last email, they should
>>>>> work on the rebuilds. And with the rebuilds, we have more than enough work
>>>>> so that agents should have no idle time whilst doing this.
>>>>> From this POV, it is very easy and clear in my opinion to see where an
>>>>> agent is lacking? For example, if they have done half a day of builds +
>>>>> rebuilds and then there aren't anymore, the agent would be expected to do
>>>>> 16 example pages.
>>>>>
>>>>> Thanks,
>>>>>
>>>>> On Tue, 20 Oct 2020 at 09:01, Deeksha Dadu <[email-masked]>
>>>>> wrote:
>>>>>
>>>>>> Hi Chris,
>>>>>>
>>>>>> Thanks for your reply.
>>>>>>
>>>>>> While I understand what the expectation is from the agents, from the
>>>>>> management point of view, I still need some way of tracking what tasks
>>>>>> agents have been assigned vs. what they have executed. I can give this
>>>>>> instruction to agents but there is no guarantee that this will get done
>>>>>> unless I have access to some reports to be able to enforce it. I hope you
>>>>>> understand where I am coming from. All I need is how many venues to build
>>>>>> and rebuild they were assigned and if they finished all that they were
>>>>>> supposed to work on.
>>>>>>
>>>>>> Please let me know how we can resolve this
>>>>>>
>>>>>> Thanks
>>>>>>
>>>>>> Kind regards,
>>>>>> Deeksha
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>> From: Christopher Ngo <[email-masked]>
>>>>>> Date: Monday, 19 October 2020 at 11:24 PM
>>>>>> To: Deeksha Dadu <[email-masked]>
>>>>>> Cc: Ashish Dabral <[email-masked]>, Saurabh Dadu <
>>>>>> [email-masked]>
>>>>>> Subject: Re: Content Team's productivity
>>>>>>
>>>>>> Hi Deeksha,
>>>>>>
>>>>>> Sorry for the delay.
>>>>>>
>>>>>> Due to some marketing findings, we will be increasing the number of
>>>>>> venues again, so the team will have more "trackable" work to do.
>>>>>>
>>>>>> As to where work is assigned. The general flow should be:
>>>>>> 1) Claim venues. If venues are available, then build them (expected
>>>>>> timing is 5 min if regular build, 15 min if VIP build)
>>>>>> 2) If no claim venues available. move to Rebuild venues, then build
>>>>>> them (expected timing is 15 min per rebuild)
>>>>>> 3) If Rebuild venues available, move on to the example page project
>>>>>> (expected timing is 15 min per example page).
>>>>>>
>>>>>> They should go back to 1) every 1-2 hours to check the funnel from
>>>>>> the top.
>>>>>>
>>>>>> Since we are ramping up the signups again to around 150 for the
>>>>>> English market - going forward, I would expect the agents to mainly work on
>>>>>> 1) and 2), with not much time for 3).
>>>>>> However, it remains there for "low period" days.
>>>>>>
>>>>>> Let me know your thoughts.
>>>>>>
>>>>>> Kind regards,
>>>>>>
>>>>>> On Fri, 16 Oct 2020 at 10:48, Deeksha Dadu <[email-masked]>
>>>>>> wrote:
>>>>>>
>>>>>>> Hi Chris,
>>>>>>>
>>>>>>> I am sorry to inundate you with emails.
>>>>>>>
>>>>>>> I want to understand where to check what work is assigned to the
>>>>>>> agents everyday so that we can track if they have completed what is
>>>>>>> assigned to them. In the productivity sheet, we can only see what they have
>>>>>>> delivered but not what tasks they were assigned and hence, from management
>>>>>>> point of view, we don’t realise if they have finished their work or not
>>>>>>> until we ask you.
>>>>>>>
>>>>>>> Kindly help.
>>>>>>>
>>>>>>> Thanks
>>>>>>>
>>>>>>> Kind regards,
>>>>>>> Deeksha
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> From: Deeksha Dadu <[email-masked]>
>>>>>>> Date: Friday, 16 October 2020 at 8:52 AM
>>>>>>> To: Christopher Ngo <[email-masked]>
>>>>>>> Cc: Ashish Dabral <[email-masked]>
>>>>>>> Subject: Re: Content Team's productivity
>>>>>>>
>>>>>>> Saurabh would also like to be on the call. Let’s resolve this as
>>>>>>> soon as possible. Are you available at 11am UK time today? Please let me
>>>>>>> know.
>>>>>>>
>>>>>>> Thanks
>>>>>>>
>>>>>>> Regards,
>>>>>>> Deeksha
>>>>>>>
>>>>>>> Sent from my iPhone
>>>>>>>
>>>>>>> On 16 Oct 2020, at 08:45, Deeksha Dadu <[email-masked]>
>>>>>>> wrote:
>>>>>>>
>>>>>>> Hi Chris,
>>>>>>>
>>>>>>> I would like to understand this better, from what I know once they
>>>>>>> are done with the venues, they inform on the slack and then Ingrid/ Bogi
>>>>>>> assign them additional tasks. Are you saying that they should be able to
>>>>>>> take up adhoc tasks on their own? I believe we need to have a call with you
>>>>>>> and Ingrid/ Bogi together to understand how this is working. Right now it
>>>>>>> is confusing.
>>>>>>>
>>>>>>> Please let me know your availability.
>>>>>>>
>>>>>>> Thanks
>>>>>>>
>>>>>>> Regards,
>>>>>>> Deeksha
>>>>>>>
>>>>>>> Sent from my iPhone
>>>>>>>
>>>>>>> On 16 Oct 2020, at 02:51, Christopher Ngo <[email-masked]>
>>>>>>> wrote:
>>>>>>>
>>>>>>> Hi Ashish,
>>>>>>>
>>>>>>> The team's productivity is still low. I understand there are new
>>>>>>> tasks which take time to get used to, but still it seems many agents finish
>>>>>>> the venues and then do not start the additional ad-hoc tasks.
>>>>>>>
>>>>>>> For example, today, only Monika started the example page building.
>>>>>>>
>>>>>>> Just from looking at the table, I can see that the output is
>>>>>>> extremely low to date:
>>>>>>>
>>>>>>> https://docs.google.com/spreadsheets/d/1Cx-k0LvQ1---Sb8gpPr7L4V8xgicwbJj_DB00CwC59g/
>>>>>>>
>>>>>>> Once they are done building, immediately they should begin with the
>>>>>>> ad-hoc tasks as required.
>>>>>>>
>>>>>>> If anything is unclear or if Bogi/Ingrid are slow to reply or
>>>>>>> respond, let me know and I will make sure they reply and engage in a timely
>>>>>>> manner. But I do not believe this is the reason for it at all. The
>>>>>>> performance is low.
>>>>>>>
>>>>>>> Best,
>>>>>>>
>>>>>>> On Thu, 15 Oct 2020 at 16:00, Ashish Dabral <[email-masked]>
>>>>>>> wrote:
>>>>>>>
>>>>>>>> Hi Chris,
>>>>>>>>
>>>>>>>> Hope you are well.
>>>>>>>>
>>>>>>>> I have been tracking agent’s productivity and I notice that the
>>>>>>>> number of venues are less these days because of which their productivity is
>>>>>>>> not what we decided. However, after they finish their venues, Bogi also
>>>>>>>> gives them additional tasks of rebuilds etc.
>>>>>>>>
>>>>>>>> I just wanted to check with you to see if you have any concern
>>>>>>>> about any agent’s productivity now. If yes, please let me know so that I
>>>>>>>> can take it up accordingly.
>>>>>>>>
>>>>>>>> Thank you
>>>>>>>> Ashish Dabral
>>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> --
>>>>>>>
>>>>>>> * Christopher Ngo*,
>>>>>>> *Head of Operations UENI LTD*
>>>>>>> 7 Bell Yard
>>>>>>> London, WC2A 2JR
>>>>>>> ueni.com <http://www.ueni.com/> | [email-masked]
>>>>>>>
>>>>>>> UENI is a limited company registered in England and Wales under
>>>>>>> registration number 9368082. Registered office is 7 Bell Yard, London, WC2A
>>>>>>> 2JR. VAT Number: GB218792186
>>>>>>> *We love feedback - review us on TrustPilot
>>>>>>> <https://uk.trustpilot.com/review/ueni.com> and Google
>>>>>>> <http://goo.gl/7Umimf>*
>>>>>>> <https://www.google.com/partners/agency?id=6750886093>
>>>>>>>
>>>>>>>
>>>>>>
>>>>>> --
>>>>>>
>>>>>> * Christopher Ngo*,
>>>>>> *Head of Operations UENI LTD*
>>>>>> 7 Bell Yard
>>>>>> London, WC2A 2JR
>>>>>> ueni.com <http://www.ueni.com/> | [email-masked]
>>>>>>
>>>>>> UENI is a limited company registered in England and Wales under
>>>>>> registration number 9368082. Registered office is 7 Bell Yard, London, WC2A
>>>>>> 2JR. VAT Number: GB218792186
>>>>>> *We love feedback - review us on TrustPilot
>>>>>> <https://uk.trustpilot.com/review/ueni.com> and Google
>>>>>> <http://goo.gl/7Umimf>*
>>>>>> <https://www.google.com/partners/agency?id=6750886093>
>>>>>>
>>>>>
>>>>>
>>>>> --
>>>>>
>>>>> * Christopher Ngo*,
>>>>> *Head of Operations UENI LTD*
>>>>> 7 Bell Yard
>>>>> London, WC2A 2JR
>>>>> ueni.com <http://www.ueni.com/> | [email-masked]
>>>>>
>>>>> UENI is a limited company registered in England and Wales under
>>>>> registration number 9368082. Registered office is 7 Bell Yard, London, WC2A
>>>>> 2JR. VAT Number: GB218792186
>>>>> *We love feedback - review us on TrustPilot
>>>>> <https://uk.trustpilot.com/review/ueni.com> and Google
>>>>> <http://goo.gl/7Umimf>*
>>>>> <https://www.google.com/partners/agency?id=6750886093>
>>>>>
>>>>
>>>>
>>>> --
>>>>
>>>> * Christopher Ngo*,
>>>> *Head of Operations UENI LTD*
>>>> 7 Bell Yard
>>>> London, WC2A 2JR
>>>> ueni.com <http://www.ueni.com/> | [email-masked]
>>>>
>>>> UENI is a limited company registered in England and Wales under
>>>> registration number 9368082. Registered office is 7 Bell Yard, London, WC2A
>>>> 2JR. VAT Number: GB218792186
>>>> *We love feedback - review us on TrustPilot
>>>> <https://uk.trustpilot.com/review/ueni.com> and Google
>>>> <http://goo.gl/7Umimf>*
>>>> <https://www.google.com/partners/agency?id=6750886093>
>>>>
>>>>
>>>
>>> --
>>>
>>> * Christopher Ngo*,
>>> *Head of Operations UENI LTD*
>>> 7 Bell Yard
>>> London, WC2A 2JR
>>> ueni.com <http://www.ueni.com/> | [email-masked]
>>>
>>> UENI is a limited company registered in England and Wales under
>>> registration number 9368082. Registered office is 7 Bell Yard, London, WC2A
>>> 2JR. VAT Number: GB218792186
>>> *We love feedback - review us on TrustPilot
>>> <https://uk.trustpilot.com/review/ueni.com> and Google
>>> <http://goo.gl/7Umimf>*
>>> <https://www.google.com/partners/agency?id=6750886093>
>>>
>>
>>
>> --
>>
>> * Christopher Ngo*,
>> *Head of Operations UENI LTD*
>> 7 Bell Yard
>> London, WC2A 2JR
>> ueni.com <http://www.ueni.com/> | [email-masked]
>>
>> UENI is a limited company registered in England and Wales under
>> registration number 9368082. Registered office is 7 Bell Yard, London, WC2A
>> 2JR. VAT Number: GB218792186
>> *We love feedback - review us on TrustPilot
>> <https://uk.trustpilot.com/review/ueni.com> and Google
>> <http://goo.gl/7Umimf>*
>> <https://www.google.com/partners/agency?id=6750886093>
>>
>>
>
> --
>
> * Christopher Ngo*,
> *Head of Operations UENI LTD*
> 7 Bell Yard
> London, WC2A 2JR
> ueni.com <http://www.ueni.com/> | [email-masked]
>
> UENI is a limited company registered in England and Wales under
> registration number 9368082. Registered office is 7 Bell Yard, London, WC2A
> 2JR. VAT Number: GB218792186
> *We love feedback - review us on TrustPilot
> <https://uk.trustpilot.com/review/ueni.com> and Google
> <http://goo.gl/7Umimf>*
> <https://www.google.com/partners/agency?id=6750886093>
>
>

-- 

*Christopher Ngo*,
*Head of OperationsUENI LTD*
7 Bell Yard
London, WC2A 2JR
ueni.com <http://www.ueni.com/> | [email-masked]

UENI is a limited company registered in England and Wales under
registration number 9368082. Registered office is 7 Bell Yard, London, WC2A
2JR. VAT Number: GB218792186
*We love feedback - review us on TrustPilot
<https://uk.trustpilot.com/review/ueni.com> and Google
<http://goo.gl/7Umimf>*
<https://www.google.com/partners/agency?id=6750886093>